be.behealth.webservices.tsa

## Class TimeStampBagType

- java.lang.Object
- - be.behealth.webservices.tsa.TimeStampBagType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T10:58:44+01:00",
                 comments="JAXB RI v2.2.11")
      public class TimeStampBagType
      extends Object
      implements Serializable

  the time stamp bag that is send to behealth

  Java class for TimeStampBagType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="TimeStampBagType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="JournalEntry" type="{http://www.behealth.be/webservices/tsa}JournalEntryType" maxOccurs="unbounded"/>
             </sequence>
             <attribute name="Hash" use="required" type="{http://www.behealth.be/webservices/tsa}HashType" />
             <attribute name="SequenceNumber" use="required" type="{http://www.w3.org/2001/XMLSchema}long" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeStampBagType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HashType` | `getHash()` Gets the value of the hash property.
    `List<JournalEntryType>` | `getJournalEntries()` Gets the value of the journalEntries property.
    `long` | `getSequenceNumber()` Gets the value of the sequenceNumber property.
    `void` | `setHash(HashType value)` Sets the value of the hash property.
    `void` | `setSequenceNumber(long value)` Sets the value of the sequenceNumber property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeStampBagType

          public TimeStampBagType()

  - ### Method Detail

    - #### getJournalEntries

          public List<JournalEntryType> getJournalEntries()

      Gets the value of the journalEntries property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the journalEntries property.

      For example, to add a new item, do as follows:

              getJournalEntries().add(newItem);

      Objects of the following type(s) are allowed in the list `JournalEntryType`

    - #### getHash

          public HashType getHash()

      Gets the value of the hash property.
      Returns:
        possible object is `HashType`

    - #### setHash

          public void setHash(HashType value)

      Sets the value of the hash property.
      Parameters:
        `value` - allowed object is `HashType`

    - #### getSequenceNumber

          public long getSequenceNumber()

      Gets the value of the sequenceNumber property.

    - #### setSequenceNumber

          public void setSequenceNumber(long value)

      Sets the value of the sequenceNumber property.

Connector Packaging PERSPODOLOGIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.